Name:           perl-App-SVN-Bisect
Version:        1.1
Release:        10%{?dist}
Summary:        Binary search through svn revisions
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/App-SVN-Bisect/
Source0:        http://www.cpan.org/modules/by-module/App/INFINOID/App-SVN-Bisect-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(IO::All)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Output)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(YAML::Syck)
BuildRequires:  subversion
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       subversion


%description
This module implements the backend of the "svn-bisect" command line tool.
See the POD documentation of that tool, for usage details.


%package -n svn-bisect
License: Artistic 2.0
Group: Development/Libraries
Summary: Binary search through svn revisions
Requires: %{name} = 0:%{version}-%{release} 


%description -n svn-bisect
This is a command-line tool inspired by "git-bisect", which allows you to
perform binary searches among the revisions of a subversion project.


%prep
%setup -q -n App-SVN-Bisect-%{version}


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*


%files -n svn-bisect
%defattr(-,root,root,-)
%doc Changes LICENSE README TODO
%{_bindir}/svn-bisect
%{_mandir}/man1/svn-bisect.1*


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Petr Pisar <ppisar@redhat.com> - 1.1-8
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Petr Pisar <ppisar@redhat.com> - 1.1-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.1-3
- Perl mass rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.1-2
- Perl mass rebuild

* Tue Jul 05 2011 Xavier Bachelot <xavier@bachelot.org> 1.1-1
- Update to 1.1.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.0-2
- 661697 rebuild for fixing problems with vendorach/lib

* Fri Jun 04 2010 Xavier Bachelot <xavier@bachelot.org> 1.0-1
- Specfile autogenerated by cpanspec 1.78.
- Clean up and adapt spec.
